SoPolygonOffsetElement(3)

NAME
SoPolygonOffsetElement - The SoPolygonOffsetElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoPolygonOffsetElement.h>

Inherits SoReplacedElement.

Inherited by SoGLPolygonOffsetElement.

  Public Types
enum Style { FILLED = 0x01, LINES = 0x02, POINTS = 0x04 }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *state, SoNode *node, float factor, float units, Style styles, SbBool on)
FIXME: write doc.
static void get (SoState *state, float &factor, float &units, Style &styles, SbBool &on)
FIXME: write doc.
static void getDefault (float &factor, float &units, Style &styles, SbBool &on)
FIXME: write doc.

  Protected Member Functions
virtual ~SoPolygonOffsetElement ()
virtual void setElt (float factor, float units, Style styles, SbBool on)
FIXME: write doc.

  Protected Attributes
Style style
SbBool active
float offsetfactor
float offsetunits

  Additional Inherited Members

Detailed Description

The SoPolygonOffsetElement class is yet to be documented. FIXME: write doc.

Member Enumeration Documentation

  enum SoPolygonOffsetElement::Style
FIXME: write doc.

Constructor & Destructor Documentation

  SoPolygonOffsetElement::~SoPolygonOffsetElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoPolygonOffsetElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoPolygonOffsetElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoPolygonOffsetElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoPolygonOffsetElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoPolygonOffsetElement::init (SoState * state) [virtual]
Initializes the element to its default values. The default value for SoPolygonOffsetElement::offsetfactor is 0.0, for SoPolygonOffsetElement::offsetunits is 0.0, for SoPolygonOffsetElement::style is SoPolygonOffsetElement::FILLED, and for SoPolygonOffsetElement::active is on.

Reimplemented from SoReplacedElement.

Reimplemented in SoGLPolygonOffsetElement.

  void SoPolygonOffsetElement::setElt (float factor, float units, Style styles, SbBool on) [protected], [virtual]

FIXME: write doc.

Reimplemented in SoGLPolygonOffsetElement.

Member Data Documentation

  SoPolygonOffsetElement::style [protected]
FIXME: write doc.

  SoPolygonOffsetElement::active [protected]
FIXME: write doc.

  SoPolygonOffsetElement::offsetfactor [protected]
FIXME: write doc.

  SoPolygonOffsetElement::offsetunits [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.